Page MenuHomePhabricator

Book generation fails for articles with '/' character in title
Closed, ResolvedPublic

Description

It is impossible to render books which contain an article which includes a '/' character.

Replication steps:

I get the following error.

There were errors while trying to fetch page contents:

Fetching /restbase/local/v1/page/html/WeightedLinkRdir1379446078_1/2/63340 failed: 404 - {"type":"https://mediawiki.org/wiki/HyperSwitch/errors/not_found","title":"Not found.","method":"get","detail":"Requested page does not exist.","uri":"/en.wikipedia.beta.wmflabs.org/v1/page/html/WeightedLinkRdir1379446078_1/2/63340"}
Return to Main Page

Related Objects

StatusAssignedTask
OpenJKatzWMF
InvalidNone
InvalidNone
Resolvedphuedx
InvalidJdlrobson
ResolvedNone
InvalidJdlrobson
ResolvedJdlrobson
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedovasileva
InvalidNone
Resolvedovasileva
InvalidNone
InvalidNone
Resolved dpatrick

Event Timeline

Jdlrobson removed the point value for this task.Oct 11 2017, 8:06 PM
Jdlrobson changed the task status from Open to Stalled.Oct 30 2017, 11:26 PM

Until we have time to talk through T178095

The task is clear. Moving along.

ovasileva closed this task as Resolved.Apr 9 2018, 2:43 PM
ovasileva claimed this task.

Closing as per T184772#4116906. Pediapress will be taking on rendering of PDF books.